Miracle Docs
Tenants

Create tenant

POST
/v1/admin/tenants
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.miracle.com/v1/admin/tenants" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "contactEmail": "user@example.com"  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "livemode": true,
    "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23",
    "name": "string",
    "status": "active",
    "defaultCurrency": "string",
    "defaultLocale": "string",
    "allowedCurrencies": [
      "string"
    ],
    "allowedCountries": [
      "string"
    ],
    "featureFlags": {
      "property1": true,
      "property2": true
    },
    "contactEmail": "string",
    "supportUrl": "string",
    "logoUrl": "string",
    "termsUrl": "string",
    "privacyPolicyUrl": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty

On this page